VirtualBox

Ticket #18328 (closed defect: duplicate)

Opened 7 months ago

Last modified 7 months ago

New VirtualBoxVM.exe breaks backwards compatibility with previous scripts, shortcuts and launcher applications

Reported by: SteveSi Owned by:
Component: other Version: VirtualBox 6.0.2
Keywords: Cc:
Guest type: other Host type: other

Description

VBox 6 now requires us to launch VirtualBox.exe to run the manager or (for example) VirtualBoxVM.exe --startvm to run a VM directly. This breaks compatibility with previous versions of VBox v5, etc.

Can VirtualBox.exe simply run VirtualBoxVM.exe if the appropriate command parameters were detected and thus maintain backwards compatibility instead of merely displaying an error dialogue? This is not just a 'change your shortcuts' problem, it affects scripts, launcher applications, compiled programs and other executables that have already been developed and have been working for years.

Making v6 backwards compatible would save everyone a great deal of time and inconvenience.

Change History

comment:1 Changed 7 months ago by janitor

  • Status changed from new to closed
  • Resolution set to duplicate
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use